- URL:
- https://<notebookserveradmin>/notebooks/secrets/setKey
- Methods:
POST- Required Capability:
- Administrator or Create and Edit
- Version Introduced:
- 12.1
Description
The Set Key operation sets a custom encryption key for the Notebook Server secret store. The key is used to encrypt and decrypt notebook secrets. Setting a custom key is optional. If a custom key is not set, Notebook Server uses a unique user-specific default key to encrypt and decrypt secrets.
The ArcGIS Notebooks editor provides a user interface for setting a key and is the recommended method for configuring the key.
Request parameters
| Parameter | Details |
|---|---|
(Required) | The custom key to use to encrypt and decrypt notebook secrets. |
(Optional) | The response format. The default response format is Values: |
Example usage
POST /notebookserver/admin/notebooks/secrets/setKey HTTP/1.1
Host: notebookserver.example.com
keyValue=myCustomEncryptionKey&f=json&token=<ACCESS_TOKEN>JSON Response syntax
{"status": "success"|"failure"}JSON Response example
{"status": "success"}